Package Base Details: compiz-core

Git Clone URL: https://aur.archlinux.org/compiz-core.git (read-only)
Submitter: ShadowKyogre
Maintainer: ShadowKyogre
Last Packager: ShadowKyogre
Votes: 21
Popularity: 4.026178
First Submitted: 2015-08-13 17:48
Last Updated: 2016-04-12 01:59

Packages (2)

Latest Comments

ShadowKyogre commented on 2016-04-12 02:00

Updated w/workaround for mksrcinfo.

ShadowKyogre commented on 2016-04-12 01:45

Updated. For those of you using .SRCINFO parsing only AUR clients, I'll need to do an additional fix for toggling marco. mksrcinfo didn't take the disabled by default like I thought it would when pushing this S:.

ShadowKyogre commented on 2016-04-10 19:21

@twa022: Yeah, that was disabled earlier due to not wanting to build something that was limited to cairo only. On top of getting the error hardyh noticed fixed upstream, I'll be including the decorator again. Enabling Marco theme support will be supported through a variable in the PKGBUILD when this is updated too.

The other small change that will come is that this'll be a split PKGBUILD for the decorator that comes bundled with the core. While this seems rather small, it's just in case this gets pulled into the repositories again (( if it's popular enough )).

-----

@hardyh: I'm currently in the progress of migrating the tarballs to the ones on github. Furthermore, the errors you're running into are caused by glib 2.48. See https://git.gnome.org/browse/glib/commit/?id=6b57719 for more info.

Hold on for a day or two while we get this sorted upstream (( PKGBUILDs for the tarballs on github are ready, I'm just waiting for this )).

twa022 commented on 2016-04-09 19:14

No window decorators are built by the PKGBUILD as is. I think you need --enable-gtk (defaults to 2.0, can override with --with-gtk=3.0).
Also should probably add a --disable-schemas-compile flag to ./configure and add an install file to recompile the schema database (https://wiki.archlinux.org/index.php/GNOME_package_guidelines)

hardyh commented on 2016-04-09 17:00

compiz-core 0.8.12-1 is not instalable:
==> Entpacke Quellen...
-> Entpacke compiz-core-0.8.12.tar.xz mit bsdtar
==> Beginne build()...
m4/glib-gettext.m4:39: error: m4_copy: won't overwrite defined macro: glib_DEFUN
m4/glib-gettext.m4:39: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
aclocal: error: echo failed with exit status: 1
==> FEHLER: Ein Fehler geschah in build().
Breche ab...
==> FEHLER:Makepkg konnte compiz-core nicht erstellen.

ShadowKyogre commented on 2016-03-27 17:30

http://blog.northfield.ws/compiz-release-announcement-0-8-12/

Hurp, meant to link to that too

ShadowKyogre commented on 2016-03-27 17:20

Sorry for the huge delay everyone. I was waiting for this to appear:
http://www.northfield.ws/projects/compiz/releases/0.8.12/

Why? It also has details on where the official git repos are now.

Boy this is going to be a loooong Sunday.